Subject: Re: [Sipping] inconsistency between RFC4235 (Dialog package) and gruu-reg-event-09 example

From: [email-masked]
Date: Fri, 3 Aug 2007 16:28:29 -0400

From: "Jeroen van Bemmel" <[email-masked]>

   Regarding '<' '>' around instance-id in XML:

   In RFC4235 (Dialog event package) it is explicitly stated in 4.1.6.2:
   [...] Note that any quoting (including extra angle-bracket quoting used to 
   quote string values in [10]) or backslash escaping MUST be removed before 
   being placed in a pval attribute.

   [10] refers to RFC3840 "Indicating User Agent Capabilities in the Session 
   Initiation Protocol (SIP)"

There's a derivative problem -- while backslash-escaping in field
parameters is compelled by the syntax in section 25.1 of RFC 3261, you
have to know by some external means that the field parameter is a
"Feature Parameter" as defined by RFC 3840.

But looking more at RFC 3840, I see that a feature parameter is
recognizable because it starts with "+" or is one of a fixed set that
do not start with "+" -- see section 9 of RFC 3840.

Dale

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP